## Apache Zeta Components Manual :: Docs For Class ezcWebdavBasicAuth

### Webdav::ezcWebdavBasicAuth

### Class ezcWebdavBasicAuth

Struct containing digest authentication information.

This struct represents authentication data as provided by the HTTP Basic specification.

Source for this file: /Webdav/src/structs/basic_auth.php

    ezcBaseStruct
       |
       --ezcWebdavAuth
          |
          --ezcWebdavBasicAuth

Version: | //autogen//

### Member Variables

public string | `$password` Plain text password.

### Inherited Member Variables

From ezcWebdavAuth
public | `ezcWebdavAuth::$username`

### Method Summary

public ezcWebdavBasicAuth | `__construct( [ $username = ''] , [ $password = ''] )` Creates a new basic auth credential struct.

### Inherited Methods

From ezcWebdavAuth
public ezcWebdavAuth | `ezcWebdavAuth::__construct()` Creates a new credential struct.

### Methods

#### __construct

ezcWebdavBasicAuth __construct( [string $username = ''] , [string $password = ''] )

Creates a new basic auth credential struct.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$username` | string |
`$password` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcWebdavAuth::__construct()` | Creates a new credential struct.

Documentation generated by phpDocumentor 1.4.3